# BSD LICENSE
#
# Copyright (c) 2014, Ixia All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in
#   the documentation and/or other materials provided with the
#   distribution.
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   Version 6.20
#   
#   File: constants.tcl
#
#   Copyright   IXIA
#   All Rights Reserved.
#
#	Revision Log:
#	12-30-1998	Hardev Soor
#
# Description: This file contains common constants
#
##################################################################################

# -----------------------------------------------------
# Hardcoded from HAL so that the connection TclSvrConnect 
# can be made after the package require ->  if using UNIX
# -----------------------------------------------------

# protocol mapping
set kProtocol(0)				mac
set kProtocol(4)				ip
set kProtocol(5)				udp
set kProtocol(6)        		tcp
set kProtocol(7)				ipx
set kProtocol(31)				ipV6

# IP address class mapping
set kIpAddrClass(0)     		classA
set kIpAddrClass(1)     		classB
set kIpAddrClass(2)     		classC
set kIpAddrClass(3)     		classD
set kIpAddrClass(4)     		noClass


# some generic frame constants
set kFirSize			6
set kCrcSize			4
set kUdfSize			4


# duplex mode mapping
set kDuplexMode(0)		half
set kDuplexMode(1)		full

# levels of storing results
set kResultLevel(test)      test
set kResultLevel(iter)      iter
set kResultLevel(port)      port
set kResultLevel(portCat)   portCat
set kResultLevel(portItem)  portItem

# IPX constants
set kSapOperation(request)                      1
set kSapOperation(response)                     2    ;# General Service Response
set kSapOperation(getNearestServerRequest)      3
set kSapOperation(getNearestServerResponse)     4
set kSapServiceType(unknown)                    {00 00}
set kSapServiceType(printQueue)                 {00 03}
set kSapServiceType(fileServer)                 {00 04}
set kSapServiceType(jobServer)                  {00 05}
set kSapServiceType(printServer)                {00 07}
set kSapServiceType(archiveServer)              {00 09}
set kSapServiceType(remoteBridgeServer)         {00 24}
set kSapServiceType(advertisingPrintServer)     {00 47}
set kRIPXOperation(request)                     1
set kRIPXOperation(response)                    2
set kBroadcastMacAddress                        {ff ff ff ff ff ff}
set kSapSocket                                  0x452
set kRipSocket                                  0x453
set kHeaderLength(ip)	                        20
set kHeaderLength(ipV6)	                        40
set	kHeaderLength(udp)                      	8
set	kHeaderLength(rip)	                        4
set	kHheaderLength(icmp)                    	8
set kIPXHeaderLength	                    	30

if {![info exists TCL_OK]} {
    set TCL_OK      0
    set TCL_ERROR   1
}


### Mii constants for 10ge ###
set miiPreemphasisNone      0   ;# 0x0000
set miiPreemphasis18        1   ;# 0x4000 
set miiPreemphasis38        2   ;# 0x8000
set miiPreemphasis75        3   ;# 0xC000
 

set miiLossOfSignal160mv    0   ;# 0x0000
set miiLossOfSignal240mv    1   ;# 0x0010
set miiLossOfSignal200mv    2   ;# 0x0020
set miiLossOfSignal120mv    3   ;# 0x0030
set miiLossOfSignal80mv     4   ;# 0x0040

set miiRecoveredClock       0 
set miiLocalRefClock        1   



