# BSD LICENSE
#
# Copyright (c) 2014, Ixia All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in
#   the documentation and/or other materials provided with the
#   distribution.
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   Version 6.20
#   
#   File: eventHandler.tcl
#   Copyright   IXIA
#   All Rights Reserved.
#
#       Revision Log:
#       04-25-2000      DS      Genesis
#
# Description: The procedures in this file are used for handling events 
#           
#       NOTE:  THIS FILE NEEDS TO BE MOVED INTO SM LAND AS IT'S NOT USED
#              BY IXTCLHAL GENERIC PROCS!!!
#
##################################################################################


#################################################################################
# Procedure:    setStopTestFlag
#
# Description:  Set the global variable ixStopTest to the given value.
#
# Argument(s):  The new value for ixStopTest.
#
# Output:
#################################################################################
proc setStopTestFlag { value } \
{
    global ixStopTest

    set ixStopTest $value
}


#################################################################################
# Procedure:    stopTest
#
# Description:  Handle the message stopTest that is sent from Scriptmate.
#
# Argument(s):
#
# Output:
#################################################################################

proc stopTest {} \
{
    global ixStopTest ixStopAction

    set ixStopTest 1
    switch $ixStopAction {
        0 {
            # close pipe & socket
            catch { puts       "closePipe"   }
            catch { putsServer "closeSocket" }
            destroyDialog
            exit
        }
        default {
        }
    }
    
    debugMsg "The test is being stopped!"
}


#################################################################################
# Procedure:    isTestStopped
#
# Description:  Find out if the test is being stopped by looking at the flag ixStopTest.
#
# Argument(s):
#
# Output:
#################################################################################
proc isTestStopped {} {
    global ixStopTest
    return $ixStopTest
}


#################################################################################
# Procedure:    informServerCurrentTestStopped
#
# Description:  Send the message "runningStatus:currentTestStoppedByUser" to Scriptmate.
#
# Argument(s):
#
# Output:
#################################################################################
proc informServerCurrentTestStopped {} \
{
    logMsg "runningStatus:currentTestStoppedByUser"
}

