# BSD LICENSE
#
# Copyright (c) 2014, Ixia All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in
#   the documentation and/or other materials provided with the
#   distribution.
# * Neither the name of the copyright holder nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   Version 6.20
#   
#   File: platform.tcl
#
#   Copyright   IXIA
#   All Rights Reserved.
#
#       Revision Log:
#       09-29-2000       DS
#
# Description: This file contains platform-independent stuff
#
##################################################################################


############################################################
# Procedure  : isUNIX
# 
# Description: This proc tells if current OS is Windows.
# Output     : 1 if it is UNIX, 0 otherwise.
#
############################################################
proc isUNIX {} \
{
    global tcl_platform

    set retCode 0

    if {$tcl_platform(platform) == "unix"} {
        set retCode 1
    }

    return $retCode
}


############################################################
# Procedure  : isWindows
# 
# Description: This proc tells if current OS is Windows.
# Output     : 1 if it is UNIX, 0 otherwise.
#
############################################################

proc isWindows {} \
{
    global tcl_platform

    set retCode 0

    if {$tcl_platform(platform) == "windows"} {
        set retCode 1
    }

    return $retCode
}


